server:
  port: 8007
  servlet:
    context-path: /simulation/resource/video
spring:
  cloud:
    nacos:
      discovery:
        server-addr: 36.110.106.156:8848
        namespace: 3698bfc2-a612-487a-b2a2-aaad16cd9d9d
      config:
        server-addr: 36.110.106.156:8848
        namespace: 3698bfc2-a612-487a-b2a2-aaad16cd9d9d
        file-extension: yaml
  servlet:
    multipart:
      max-file-size: 10GB
      max-request-size: 10GB
  datasource:
    druid:
      url: jdbc:mysql://10.14.85.240:3306/simulation?characterEncoding=utf8&connectTimeout=60000&socketTimeout=60000&useSSL=false
      username: root
      password: 1qaz2wsx!
      driver-class-name: com.mysql.jdbc.Driver
      initial-size: 200
      min-idle: 200
      max-active: 200
      max-wait: 300000
      filter:
        stat:
          enabled: true
        wall:
          enabled: true
        slf4j:
          enabled: true
      stat-view-servlet:
        enabled: true
        url-pattern: /druid/*
        login-username: druid
        login-password: 1qaz2wsx!
  cache:
    type: redis
  redis:
    host: 10.14.85.240
    port: 6379
    password: 1qaz2wsx!
    connect-timeout: 10000
    timeout: 10000
    database: 2
    lettuce:
      pool:
        max-active: 8
        max-idle: 8
        min-idle: 0
        max-wait: 1000

constant:
  xvfb-command: "Xvfb :screen-num -screen 0 1920x1080x24+32 & export DISPLAY=:screen-num"
  esmini-command: "xvfb-run -n screen-num /root/disk1/simulation-cloud/esmini/code-examples-bin/image-capture"
  xosc-generate-command: "python3 /mnt/disk001/simulation-cloud/simulation-resource-video-8007/python/simulation_my.py"
  video-test-command: "/root/disk1/simulation-cloud/esmini/code-examples-bin/image-capture /root/disk1/simulation-cloud/esmini/resources/xosc/lane_change_crest.xosc /root/disk1/simulation-cloud/esmini/test/screenshot"
  linux-temp-directory: "/mnt/disk001/simulation-cloud/simulation-resource-video-8007/temp/"
  esmini-osgb-directory: "/root/disk1/simulation-cloud/esmini/resources/models/"

minio:
  endpoint: http://10.14.85.242:9000/
  access-key: minioadmin
  secret-key: 1qaz2wsx!
  bucket-name: simulation-cloud
  project-result-directory: "/project/"

